Hi everyone,
I have quite big drawings with many section view and sometimes the drafter has not made the section lines easy to spot for the drawing reviewer/reader.
Is there a way in Inventor to find the location of the section view from the section view as a basis.
I mean when I am looking at section view "A-A" I would like to zoom to the section line (means the area of the drawing where the section view was taken from)
Solved! Go to Solution.
Solved by Alexander_Chernikov. Go to Solution.
Hi, yes, you need iLogic rule.
Try this:
Sub main()
Dim oDDoc As DrawingDocument
Dim OSelObj As Object
Dim cam As Camera
Dim oTg As TransientGeometry
oTg = ThisApplication.TransientGeometry
oDDoc = ThisApplication.ActiveDocument
OSelObj = ThisApplication.CommandManager.Pick(kDrawingViewFilter, "Pick ViewPort with Section/Detail View ...")
cam = ThisApplication.ActiveView.Camera
cam.Target = oTg.CreatePoint(OSelObj.ParentView.Center.X, OSelObj.ParentView.Center.Y, 0)
cam.Eye = oTg.CreatePoint(OSelObj.ParentView.Center.X, OSelObj.ParentView.Center.Y, 20)
Call cam.ApplyWithoutTransition
End Sub
Do you find the posts helpful? "LIKE" these posts! | Відповідь корисна? Клікніть на "ВПОДОБАЙКУ" цім повідомленням!
Have your question been answered successfully? Click "ACCEPT SOLUTION" button. | На ваше запитання відповіли? Натисніть кнопку "ПРИЙНЯТИ РІШЕННЯ"
.
Can't find what you're looking for? Ask the community or share your knowledge.